Skip to main content
GET
/
fields
Lists all available data fields
curl --request GET \
  --url https://api.habitdash.com/v1/fields/ \
  --header 'X-API-KEY: <api-key>'
{
  "count": 123,
  "results": [
    {
      "field_id": 123,
      "field_name": "<string>",
      "source": "<string>",
      "category1": "<string>",
      "category2": "<string>",
      "unit_tooltip": "<string>",
      "unit_dashboard": "<string>"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

page
integer

A page number within the paginated result set.

field_id
string

Filter by field ID.

source
string

Filter by source. Available options: apple, cronometer, fitbit, freestyle_libre, garmin, oura, polar, strava, withings, whoop

Response

200 - application/json

Successful response

count
integer
required
results
object[]
required
next
string<uri> | null
previous
string<uri> | null